Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.4.3 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jivesoftware.database
Class EmbeddedConnectionProvider

    java.lang.Object
      org.jivesoftware.database.EmbeddedConnectionProvider

All Implemented Interfaces:
  ConnectionProvider

    public class EmbeddedConnectionProvider

extends Object
implements ConnectionProvider

A connection provider for the embedded hsqlDB database. The database file is stored at `home/database`. The log file for this connection provider is stored at `[home]/logs/EmbeddedConnectionProvider.log`, so you should ensure that the `[home]/logs` directory exists.

Author:
  Matt Tucker

Constructor Summary
`EmbeddedConnectionProvider()`

Method Summary
`void` | `destroy()` Tells the connection provider to destroy itself.
`void` | `finalize()`
`Connection` | `getConnection()` Returns a database connection.
`boolean` | `isPooled()` Returns true if this connection provider provides connections out of a connection pool.
`void` | `restart()` This method should be called whenever properties have been changed so that the changes will take effect.
`void` | `start()` Starts the connection provider.

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EmbeddedConnectionProvider

    public EmbeddedConnectionProvider()

Method Detail

### isPooled

    public boolean isPooled()

  Description copied from interface: `ConnectionProvider`
  Returns true if this connection provider provides connections out of a connection pool. Implementing and using connection providers that are pooled is strongly recommended, as they greatly increase the speed of Jive.

  Specified by:
    `isPooled` in interface `ConnectionProvider`
  Returns:
    true if the Connection objects returned by this provider are pooled.

### getConnection

    public Connection getConnection()
                             throws SQLException

  Description copied from interface: `ConnectionProvider`
  Returns a database connection. When a Jive component is done with a connection, it will call the close method of that connection. Therefore, connection pools with special release methods are not directly supported by the connection provider infrastructure. Instead, connections from those pools should be wrapped such that calling the close method on the wrapper class will release the connection from the pool.

  Specified by:
    `getConnection` in interface `ConnectionProvider`
  Returns:
    a Connection object.
  Throws:
    `SQLException`

### start

    public void start()

  Description copied from interface: `ConnectionProvider`
  Starts the connection provider. For some connection providers, this will be a no-op. However, connection provider users should always call this method to make sure the connection provider is started.

  Specified by:
    `start` in interface `ConnectionProvider`

### restart

    public void restart()

  Description copied from interface: `ConnectionProvider`
  This method should be called whenever properties have been changed so that the changes will take effect.

  Specified by:
    `restart` in interface `ConnectionProvider`

### destroy

    public void destroy()

  Description copied from interface: `ConnectionProvider`
  Tells the connection provider to destroy itself. For many connection providers, this will essentially result in a no-op. However, connection provider users should always call this method when changing from one connection provider to another to ensure that there are no dangling database connections.

  Specified by:
    `destroy` in interface `ConnectionProvider`

### finalize

    public void finalize()
                  throws Throwable

  Overrides:
    `finalize` in class `Object`
  Throws:
    `Throwable`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.4.3 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2007 Jive Software.